<template>
  <div class="page-order flex">
    <div class="col-left">
      <div class="form-default" style="max-width: 760px;">
        <div class="mb16">
          <label class="check-list inline cricle">
            <span class="text">Anh</span>
            <input v-model="info.gender" type="radio" value="1" />
            <span class="checkmark"></span>
          </label>
          <label class="check-list inline cricle">
            <span class="text">Chị</span>
            <input v-model="info.gender" type="radio" value="0" />
            <span class="checkmark"></span>
          </label>
        </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <div class="input-wrap">
              <input
                v-model="info.name"
                type="text"
                class="form-control"
                placeholder="Họ và tên"
              />
            </div>
          </div>
          <div class="col-md-6 form-group">
            <div class="input-wrap">
              <input
                v-model="info.phone"
                type="text"
                class="form-control"
                placeholder="Số điện thoại"
              />
            </div>
          </div>
          <div class="col-md-12 form-group">
            <div class="input-wrap">
              <input
                v-model="info.email"
                type="email"
                class="form-control"
                placeholder="Email"
              />
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 form-group">
            <div class="input-wrap">
              <input
                id="inputEmail"
                v-model="info.note"
                type="email"
                class="form-control"
                placeholder="Yêu cầu khác(không bắt buộc)"
              />
            </div>
          </div>
        </div>

        <!-- Thông tin cửa hàng -->
        <div class="mt24 mb16">
          <strong>Bạn muốn</strong>
        </div>
        <div class="mb16">
          <label class="check-list inline cricle">
            <span class="text">Nhận tại địa chỉ</span>
            <input
              id="male"
              v-model="typeship"
              type="radio"
              name="adress"
              value="1"
              checked
            />
            <span class="checkmark"></span>
          </label>
          <label class="check-list inline cricle">
            <span class="text">Nhận tại cửa hàng</span>
            <input
              id="female"
              v-model="typeship"
              type="radio"
              name="adress"
              value="2"
            />
            <span class="checkmark"></span>
          </label>
        </div>
        <template v-if="typeship == 1">
          <div class="row">
            <div class="col-md-6 form-group">
              <div class="input-wrap">
                <input
                  id="inputTinh"
                  type="text"
                  class="form-control"
                  placeholder="Tỉnh/ Thành phố"
                />
                <!-- <select class="form-control">
                  <option>Tỉnh/ Thành phố</option>
                </select> -->
              </div>
            </div>
            <div class="col-md-6 form-group">
              <div class="input-wrap">
                <input
                  id="inputHuyen"
                  type="text"
                  class="form-control"
                  placeholder="Quận/ Huyện"
                />
                <!-- <select class="form-control">
                  <option>Quận/ Huyện</option>
                </select> -->
              </div>
            </div>
            <div class="col-md-12 form-group">
              <div class="input-wrap">
                <input
                  id="inputNumberHome"
                  type="text"
                  class="form-control"
                  placeholder="Số nhà, tên đường, phường xã"
                />
              </div>
            </div>
          </div>
          <div class="txt_16 radius_0 mt16">
            <label class="check-list">
              <span class="text">
                Yêu cầu nhân viên hỗ trợ kỹ thuật đi giao hàng
              </span>
              <input type="checkbox" />
              <span class="checkmark"></span>
            </label>
            <label class="check-list">
              <span class="text">Cà thẻ khi nhận hàng</span>
              <input type="checkbox" />
              <span class="checkmark"></span>
            </label>
            <label class="check-list">
              <span class="text">Xuất hóa đơn công ty</span>
              <input type="checkbox" />
              <span class="checkmark"></span>
            </label>
          </div>
        </template>
        <div
          v-else
          class="txt_16 mt16"
          style="background: #fbfbfb; padding: 24px 24px 10px 24px;"
        >
          <label
            v-for="chinhanh in chinhanhs"
            :key="chinhanh.id"
            class="check-list cricle"
          >
            <span class="text">{{ chinhanh.name }}</span>
            <input v-model="selectedCn" type="radio" :value="chinhanh.id" />
            <span class="checkmark"></span>
          </label>
        </div>
      </div>
    </div>
    <div class="col-right">
      <div class="checkout_sidebar">
        <div class="flex tr space-between">
          <div>Đơn hàng ({{ cart.length }} sp)</div>
          <nuxt-link class="edit" to="/gio-hang">
            <strong>Sửa</strong>
            <svg class="icon-svg">
              <use xlink:href="/images/icons/icon.svg#arrow-right" />
            </svg>
          </nuxt-link>
        </div>
        <div
          v-for="product in cart"
          :key="product.id"
          class="flex tr space-between"
        >
          <div class="medium col-name mb16">
            <span class="color-main">1 x</span>
            {{ product.name }}
          </div>
          <div class="col-price">
            <strong>
              {{ (product.sale_price || product.price) | formatNumber }}
            </strong>
          </div>
        </div>
        <div class="tr">
          <div class="flex space-between">
            <div>Tạm tính</div>
            <div>
              <strong>{{ totalPrice | formatNumber }}</strong>
            </div>
          </div>
          <div v-if="totalSaleMoney > 0" class="flex space-between mt16">
            <div>Giảm giá</div>
            <div class="medium color-main">
              -{{ totalSaleMoney | formatNumber }}
            </div>
          </div>
        </div>
        <div class="flex tr space-between">
          <div style="margin-top: 4px;">Thành tiền</div>
          <div class="medium red txt_18">
            {{ totalCartMoney | formatNumber }}
          </div>
        </div>
      </div>
    </div>
    <div class="page-order__bottom mt24">
      <a
        class="btn-default color-white"
        href="javascript:;"
        @click="submitOrder"
      >
        Thanh toán khi nhận hàng
      </a>
      <a
        class="btn-default white"
        href="javascript:;"
        @click.prevent="bankOnline"
      >
        Chuyển khoản online
      </a>
    </div>
    <!-- Thông báo đặt hàng thành công -->
    <Modal :width="500" :close-btn="false">
      <div slot="body">
        <div id="order-popup">
          <div class="content_lightbox">
            <p class="txt_20 mb20 center">
              <strong>Đặt hàng thành công</strong>
            </p>
            <div class="center">
              <div class="icon bg-blue">
                <svg-icon
                  name="check"
                  class="inline-block align-middle"
                ></svg-icon>
              </div>
              <p class="mb40">
                Cảm ơn khách hàng
                <strong>{{ info.name }}</strong>
                đã đặt hàng tại ThinkPro. Trong vòng 24h nhân viên ThinkPro sẽ
                gọi điện xác nhận đặt hàng cho anh.
              </p>
            </div>
            <div
              style="
                background: #fbfbfb;
                border-radius: 4px;
                padding: 20px 18px;
                margin-bottom: 30px;
              "
            >
              <div class="txt_20 mb16">
                <strong class="medium">Thông tin đặt hàng</strong>
              </div>
              <div class="mb16">
                Người nhận: {{ info.gender == 1 ? 'Anh' : 'Chị' }}
                <strong class="medium">
                  {{ info.name }}
                </strong>
              </div>
              <div v-if="info.email" class="mb16">
                SĐT:
                <strong class="medium">
                  {{ info.phone }}
                </strong>
              </div>
              <div v-if="info.email" class="mb16">
                Email:
                <strong class="medium">
                  {{ info.email }}
                </strong>
              </div>
              <div class="mb16">
                Nhận hàng tại:
                <strong v-if="typeship == 1" class="medium">
                  {{ info.so_nha }}
                </strong>
                <strong v-else class="medium">
                  {{ diachicn }}
                </strong>
              </div>
              <div>
                Tổng tiền thanh toán:
                <strong class="medium red txt_18">
                  {{ totalCartMoney | formatNumber }}
                </strong>
              </div>
            </div>
            <div class="center">
              <nuxt-link
                to="/"
                class="btn btn-default color-white mb16"
                style="width: 280px;"
              >
                Trở về trang chủ
              </nuxt-link>
              <nuxt-link
                to="/"
                class="btn btn-default white"
                style="width: 280px;"
              >
                Xem lịch sử đơn hàng
              </nuxt-link>
            </div>
          </div>
        </div>
      </div>
    </Modal>

    <!-- Thông tin tài khoản ngân hàng -->
    <ModalNotifi :width="648" :close-btn="false">
      <div slot="body">
        <div id="order-popup" style="width: 614px;">
          <div class="content_lightbox ckonline">
            <p class="txt_20 mb20 center">
              <strong>Chuyển khoản online</strong>
            </p>
            <div
              class="center mb40"
              style="
                background: #fbfbfb;
                border-radius: 4px;
                padding: 20px 18px;
              "
            >
              <p>
                Quý khách vui lòng chuyển khoản với nội dung ghi rõ
                <br />
                <strong>Tên & Số Điện Thoại</strong>
                người nhận hàng:
                <br />
                Ví dụ:
                <strong>A THANH 0988888888</strong>
              </p>
            </div>
            <div>
              <div class="txt_20 mb16">
                <strong class="medium">Chuyển khoản qua ngân hàng</strong>
              </div>
              <div class="list-banks">
                <ul>
                  <li
                    v-for="bank in listBanks"
                    :key="bank.id"
                    @click="bankSelected = bank.id"
                  >
                    <img :src="bank.url_image" :alt="bank.name" />
                  </li>
                </ul>
              </div>
              <div class="info-bank">
                <div v-for="(bank, index) in listBanks" :key="'bank' + index">
                  <ul v-if="bank.id == bankSelected">
                    <li>
                      <strong>
                        {{ bank.name }}
                      </strong>
                    </li>
                    <li>Chủ tài khoản: {{ bank.author }}</li>
                    <li class="stk">
                      Số tài khoản:
                      <strong ref="number_stk">{{ bank.stk }}</strong>
                    </li>
                    <li v-if="bank.stk_fast" class="stk">
                      Số thẻ chuyển khoản nhanh:
                      <strong ref="number_stk_fast">{{ bank.stk_fast }}</strong>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="center">
              <a
                href="javascript:;"
                class="btn btn-default color-white"
                style="width: 100%;"
                @click="closeInfoBank"
              >
                Hoàn tất đơn hàng
              </a>
            </div>
          </div>
        </div>
      </div>
    </ModalNotifi>
  </div>
</template>
<script>
import { EventBus } from '~/plugins/bus'
export default {
  name: 'CartOrder',
  components: {
    Modal: () => import('~/components/Popup/Modal'),
    ModalNotifi: () => import('~/components/Popup/ModalNotifi'),
  },
  data() {
    return {
      info: {
        name: '',
        gender: 1,
        phone: '',
        email: '',
        tinh_thanhpho: '',
        quan_huyen: '',
        so_nha: '',
        diachicn: '',
        note: '',
      },
      typeship: 1,
      chinhanhs: [
        {
          name: 'Số 105 ngõ 562 đường Láng, P. Láng Hạ, Q. Đống Đa, Hà Nội',
          id: 1,
        },
        {
          name: '69 Phố Vọng, Phường Đồng Tâm, Quận Hai Bà Trưng, TP.Hà Nội',
          id: 2,
        },
        {
          name: 'Số 62 Duy Tân, Phường 15, Q. Phú Nhuận, TP HCM',
          id: 3,
        },
      ],
      selectedCn: 1,
      listBanks: [
        {
          id: 1,
          name:
            'Vietcombank - Ngân Hàng Ngoại Thương Việt Nam - Chi nhánh Ba Đình',
          author: 'TRAN VAN LONG',
          stk: '0611001904678',
          stk_fast: '9704366806848526022',
          url_image: '/images/nganhang/nhang_16.png',
        },
        {
          id: 2,
          name:
            'Techcombank - Ngân hàng Kỹ Thương Việt Nam - Chi nhánh Trần Đăng Ninh',
          author: 'TRAN VAN LONG',
          stk: '19027768925018',
          url_image: '/images/nganhang/nhang_15.png',
        },
        {
          id: 3,
          name: 'Agribank - Ngân hàng Nông nghiệp và PTNT - Chi nhánh Láng Hạ',
          author: 'LE LAM LINH',
          stk: '1400205514437',
          url_image: '/images/nganhang/nhang_5.png',
        },
        {
          id: 4,
          name: 'BIDV - Ngân hàng Đầu Tư và PT Việt Nam - Chi nhánh Ba Đình',
          author: 'TRAN VAN LONG',
          stk: '12610000225748',
          url_image: '/images/nganhang/nhang_6.png',
        },
        {
          id: 5,
          name: 'ACB - Ngân hàng Á Châu - Chi nhánh Hà Nội',
          author: 'TRAN VAN LONG',
          stk: '241009389',
          url_image: '/images/nganhang/nhang_4.png',
        },
        {
          id: 6,
          name:
            'Vietinbank - Ngân hàng Công thương Việt Nam - Chi nhánh Tây Hà Nội',
          author: 'TRAN VAN LONG',
          stk: '102005003834',
          url_image: '/images/nganhang/nhang_12.png',
        },
      ],
      bankSelected: 1,
    }
  },
  computed: {
    cart() {
      return this.$store.state.cart
    },
    totalPrice() {
      return this.$store.getters.totalPrice
    },
    totalCartMoney() {
      return this.$store.getters.totalMoney
    },
    totalSaleMoney() {
      return this.$store.getters.totalSaleMoney
    },
    diachicn() {
      return this.chinhanhs.find((x) => x.id === this.selectedCn).name
    },
    sonha() {
      return ''
    },
  },
  mounted() {
    if (this.$auth.loggedIn) {
      this.info = {
        name: this.$auth.user.name,
        gender: this.$auth.user.gender == null ? 1 : this.$auth.user.gender,
        phone: this.$auth.user.phone,
        email: this.$auth.user.email,
        tinh_thanhpho: this.$auth.user.tinh_thanhpho,
        quan_huyen: this.$auth.user.quan_huyen,
        so_nha: this.$auth.user.so_nha,
        diachicn: this.diachicn,
        note: '',
      }
    }
    this.selectedCn = this.chinhanhs[0].id
  },
  methods: {
    async submitOrder() {
      if (!this.$auth.loggedIn) {
        EventBus.$emit('open-modal-login', true)
      } else {
        const data = {
          khachhang_id: this.$auth.user.id,
          info: this.info,
          options: this.cart,
        }
        await this.$axios.$post('/add_dathangweb', data).then((res) => {
          EventBus.$emit('open-modal', true)
        })
      }
    },
    bankOnline() {
      EventBus.$emit('open-modalnoti', true)
    },
    closeInfoBank() {
      EventBus.$emit('open-modalnoti', false)
    },
  },
}
</script>
